---
Name: rocky-8.8-min-install
Description: Rocky 8.8 minimal installer
Documentation: |
  This BootEnv installs the Rocky 8.8 minimal operating system.

  ISOs can be downloaded from:

    * <https://download.rockylinux.org/vault/rocky/>
Meta:
  color: green
  feature-flags: change-stage-v2
  icon: linux
  title: Digital Rebar Community Content
  type: os
  group-by: Rocky
OptionalParams:
  - operating-system-disk
  - provisioner-default-password-hash
  - kernel-console
  - kernel-options
  - proxy-servers
  - select-kickseed
  - kickstart-base-packages
  - extra-packages
OnlyUnknown: false
Loaders:
  amd64-uefi: EFI/BOOT/BOOTX64.EFI
  arm64-uefi: EFI/BOOT/BOOTAA64.EFI
OS:
  Name: rocky-8.8-min
  Family: redhat
  Codename: rocky
  Version: "8.8"
  SupportedArchitectures:
    x86_64:
      IsoFile: Rocky-8.8-x86_64-minimal.iso
      Sha256: 4ce0948699a26f66dffd705c0459d428439cef02d5db43d36a6ae62ba494fe9e
      IsoUrl: https://dl.rockylinux.org/vault/rocky/8.8/isos/x86_64/Rocky-8.8-x86_64-minimal.iso
      Kernel: images/pxeboot/vmlinuz
      Initrds:
        - images/pxeboot/initrd.img
      BootParams: >-
        ksdevice=bootif
        ks={{.Machine.Url}}/compute.ks
        method={{.Env.InstallUrl}}
        inst.geoloc=0
        {{.ParamExpand "kernel-options"}}
        --
        {{.ParamExpand "init-options"}}
    aarch64:
      IsoFile: Rocky-8.8-aarch64-minimal.iso
      Sha256: 41f098a6556e50703eae4f44a721bc779392756e9d1612b551c04050af6170a7
      IsoUrl: https://dl.rockylinux.org/vault/rocky/8.8/isos/aarch64/Rocky-8.8-aarch64-minimal.iso
      Kernel: images/pxeboot/vmlinuz
      Initrds:
        - images/pxeboot/initrd.img
      BootParams: >-
        ksdevice=bootif
        ks={{.Machine.Url}}/compute.ks
        method={{.Env.InstallUrl}}
        inst.geoloc=0
        {{.ParamExpand "kernel-options"}}
        --
        {{.ParamExpand "init-options"}}
Templates:
  - Name: kexec
    Path: "{{.Machine.Path}}/kexec"
    ID: kexec.tmpl
  - Name: pxelinux
    Path: "pxelinux.cfg/{{.Machine.HexAddress}}"
    ID: default-pxelinux.tmpl
  - Name: ipxe
    Path: "{{.Machine.Address}}.ipxe"
    ID: default-ipxe.tmpl
  - Name: pxelinux-mac
    Path: 'pxelinux.cfg/{{.Machine.MacAddr "pxelinux"}}'
    ID: default-pxelinux.tmpl
  - Name: ipxe-mac
    Path: '{{.Machine.MacAddr "ipxe"}}.ipxe'
    ID: default-ipxe.tmpl
  - Name: grub
    Path: "grub/{{.Machine.Address}}.cfg"
    ID: default-grub.tmpl
  - Name: grub-mac
    Path: 'grub/{{.Machine.MacAddr "grub"}}.cfg'
    ID: default-grub.tmpl
  - Name: grub-http-boot
    Path: '{{.Env.PathFor "tftp" ""}}/EFI/BOOT/grub.cfg'
    ID: default-grub.tmpl
  - Name: compute.ks
    Path: "{{.Machine.Path}}/compute.ks"
    ID: select-kickseed.tmpl
